# Instanced shaders

Instanced shaders are expected to conform to the following interface:

Vertex shader:
```glsl
// template attributes (these are just examples)
in vec2 Offset;

// instance attributes (these are just examples)
in vec2 Position;
in vec2 Size;
in vec4 Color;

// context attributes (these must be identical)
in float Depth;
in vec4 ClipRect;
```
