package dev.pfaff.altargui;

@FunctionalInterface
public interface LayoutContext {
	/**
	 * Mounts a child of the context.
	 * <p>
	 * <strong>Note</strong>: widget state is keyed by the parent key, the {@code callSite}, the builder class, and the
	 * (tracked) inputs of the widget.
	 */
	void layout(Key.CallSite callSite, Widget child);
}
