package dev.pfaff.altargui.ffi;

/**
 * A reference to a variable in the layout engine.
 */
public sealed interface ConstraintId permits ConstraintIdImpl {
	/**
	 * The ID of the constraint.
	 */
	long raw();

	static ConstraintId fromRaw(long raw) {
		return new ConstraintIdImpl(raw);
	}
}
