package dev.pfaff.altargui.ffi;

/**
 * A reference to a variable in the layout engine.
 */
public sealed interface Variable extends Query permits VariableImpl {
	/**
	 * The ID of the variable, including some metadata.
	 */
	long raw();

	static Variable fromRaw(long raw) {
		return new VariableImpl(raw);
	}
}
