package dev.pfaff.altargui.ffi;

record VariableImpl(long raw) implements Variable {
	VariableImpl {
		if (raw == 0) throw new IllegalArgumentException("Variable symbol cannot be 0");
		if ((raw & 0b11) != 0) throw new IllegalArgumentException("Variable symbol tag must be 0 (External)");
	}

	private long id() {
		return this.raw >> 2;
	}

	@Override
	public String toString() {
		return "'" + this.id() + "'";
	}
}
