package dev.pfaff.altargui.improv;

import dev.pfaff.altargui.ffi.Constraint;
import org.jetbrains.annotations.Nullable;

public class AddConstraintException extends LayoutException {
	@Nullable
	public final String comment;
	public final int index;
	public final Constraint constraint;

	public AddConstraintException(@Nullable String comment, int index, Constraint constraint, Throwable cause) {
		super("Failed to add the " + index + "th constraint of '" + comment + "'\n    : " + constraint, cause);
		this.comment = comment;
		this.index = index;
		this.constraint = constraint;
	}
}
