package dev.pfaff.altargui.inspector;

import dev.pfaff.altargui.Inspector;
import dev.pfaff.altargui.Widget;
import org.jetbrains.annotations.NotNull;

import java.util.Objects;

record NonDetailedRawObjectValue<T>(ValueRenderer<@NotNull T> preview, @NotNull T value) implements DebugPropertyValue {
    public NonDetailedRawObjectValue {
        Objects.requireNonNull(preview);
        Objects.requireNonNull(value);
    }

    @Override
    public @NotNull Widget buildPreview(Inspector inspector) {
        return this.preview.build(inspector, this.value);
    }
}
