package dev.pfaff.altargui.inspector;

import dev.pfaff.altargui.Inspector;
import dev.pfaff.altargui.Widget;
import org.jetbrains.annotations.NotNull;

import java.util.Objects;

record StaticWidgetValue(Widget widget) implements DebugPropertyValue {
	public StaticWidgetValue {
		Objects.requireNonNull(widget);
	}

	@Override
	public @NotNull Widget buildPreview(Inspector inspector) {
		return this.widget;
	}
}
