package dev.pfaff.altargui.internal.elements;

import dev.pfaff.altargui.util.Hasher;

import static java.util.FormatProcessor.FMT;

public record RootElement(long key) implements IElement {
	public RootElement(String key) {
		this(Hasher.packStringAndHash(key));
	}

	@Override
	public String toString() {
		return FMT."RootElement[%016x\{this.key}]";
	}

	@Override
	public String toStringShort() {
		return FMT."Root@%016x\{this.key}";
	}
}
