package dev.pfaff.altargui.pathfinder.fontkit;

public enum FKCanvasRasterizationOptions {
	// order is important!
	/**
	 * "Black-and-white" rendering. Each pixel is either entirely on or off.
	 */
	Bilevel,

	/**
	 * Grayscale antialiasing. Only one channel is used.💡
	 */
	GrayscaleAa,

	/**
	 * Subpixel RGB antialiasing, for LCD screens.
	 */
	SubpixelAa;

	public final byte value() {
		return (byte) ordinal();
	}
}
