package dev.pfaff.altargui.selector;

import org.jetbrains.annotations.Nullable;

/**
 * Selects the child at index {@code n} from the start if at least 0, or at index {@code length-n} less than 0.
 */
public record NthElement(int n, @Nullable Selector next) implements BuiltinSelector {
	public NthElement {
		if (next == Self.INSTANCE) next = null;
	}
}
