package dev.pfaff.altargui.selector;

import dev.pfaff.altargui.WidgetInstance;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.function.Consumer;

public final class Self implements Selector {
	public static final Self INSTANCE = new Self();

	private Self() {}

	@Override
	public void select(@Nullable WidgetInstance element, Consumer<@NotNull WidgetInstance> consumer) {
		if (element != null) {
			consumer.accept(element);
		}
	}

	@Override
	public @Nullable WidgetInstance selectFirst(@Nullable WidgetInstance element) {
		return element;
	}

	@Override
	public @Nullable WidgetInstance selectSingle(@Nullable WidgetInstance element) {
		return element;
	}
}
