package dev.pfaff.altargui.texture;

import dev.pfaff.altargui.libimage.ImageData;

import java.io.IOException;

public interface LoadableTexture {
	/**
	 * Loads the texture synchronously. This is meant to be called from a worker thread, <strong>not</strong> the main
	 * thread.
	 */
	ImageData load() throws IOException;
}
