package dev.pfaff.altargui.util;

import dev.pfaff.altargui.LayoutContext;
import dev.pfaff.altargui.Widget;
import dev.pfaff.altargui.widgets.MultiChildWidget;
import org.jspecify.annotations.Nullable;

import java.util.Objects;

public record MultiChildBuilder12(Widget first, @Nullable Widget second) implements MultiChildWidget.Builder {
	public MultiChildBuilder12 {
		Objects.requireNonNull(first);
	}

	public MultiChildBuilder12(Widget first) {
		this(first, null);
	}

	@Override
	public void build(LayoutContext mounter) {
		mounter.layout(() -> {}, first);
		if (second != null) mounter.layout(() -> {}, second);
	}
}
