package dev.pfaff.altargui.util;

import org.jetbrains.annotations.NotNull;

import java.util.function.Supplier;

public final class Preconditions {
    public static void checkArgument(boolean expression, @NotNull Supplier<String> errorMessage) {
        if (!expression) {
            throw new IllegalArgumentException(errorMessage.get());
        }
    }
}
