package dev.pfaff.altargui.util;

import dev.pfaff.altargui.LayoutContext;
import dev.pfaff.altargui.Widget;
import dev.pfaff.altargui.widgets.MultiChildWidget;

import static dev.pfaff.altargui.Key.intKey;

public record RepeatMultiChildBuilder(Widget child, int count) implements MultiChildWidget.Builder {
	@Override
	public void build(LayoutContext context) {
		for (int i = 0; i < this.count; i++) {
			context.layout(intKey(i), this.child);
		}
	}
}
