import org.jspecify.annotations.NullMarked;

@NullMarked
module dev.pfaff.altargui {
	exports dev.pfaff.altargui;
	exports dev.pfaff.altargui.debug;
	exports dev.pfaff.altargui.function;
	exports dev.pfaff.altargui.handlers;
	exports dev.pfaff.altargui.host;
	exports dev.pfaff.altargui.input;
	exports dev.pfaff.altargui.inspector;
	exports dev.pfaff.altargui.libimage;
	exports dev.pfaff.altargui.pathfinder;
	exports dev.pfaff.altargui.render;
	exports dev.pfaff.altargui.selector;
	exports dev.pfaff.altargui.text;
	exports dev.pfaff.altargui.texture;
	exports dev.pfaff.altargui.types;
	exports dev.pfaff.altargui.util.listenable;
	exports dev.pfaff.altargui.widgets;
	exports dev.pfaff.altargui.widgets.state;
	exports dev.pfaff.altargui.uploadables;
	exports dev.pfaff.altargui.shader;
	exports dev.pfaff.altargui.util;
	exports dev.pfaff.altargui.render.objects;
	exports dev.pfaff.altargui.resource;
	exports dev.pfaff.altargui.pathfinder.fontkit;

	requires static org.jspecify;
	requires static org.jetbrains.annotations;

	requires dev.pfaff.log4truth;
	requires dev.pfaff.glass;
	requires dev.pfaff.unfettered;
	requires java.net.http;
	requires jdk.unsupported;
	requires it.unimi.dsi.fastutil;
}
