package dev.pfaff.altargui;

import dev.pfaff.altargui.inspector.DebugLayer;
import dev.pfaff.altargui.render.PFCanvasDrawer;
import dev.pfaff.altargui.render.RenderObject;
import dev.pfaff.altargui.texture.TextureAllocator;

public interface Canvas {
	TextureAllocator texAlloc();

	void setLayer(Layer layer);

	void upload(RenderObject uploadable);

	void upload(PFCanvasDrawer uploadable);

	boolean isDebugLayerEnabled(DebugLayer layer);
}
