package dev.pfaff.altargui;

import org.jspecify.annotations.Nullable;

public final class WidgetInstantiationArgs {
	final GuiContext context;
	final Class<? extends Widget> widgetClass;
	final long key;
	final Key.@Nullable CallSite keyObject;

	WidgetInstantiationArgs(GuiContext context, Class<? extends Widget> widgetClass, long key, Key.@Nullable CallSite keyObject) {
		this.context = context;
		this.widgetClass = widgetClass;
		this.key = key;
		this.keyObject = keyObject;
	}
}
