package dev.pfaff.altargui.ffi;

public record Constraint(
		Expression expr,
		double strength,
		RelationalOperator op
) {
	public Constraint withStrength(double strength) {
		return new Constraint(expr, strength, op);
	}

	@Override
	public String toString() {
		return expr + " " + op.shortString + "(" + strength + ") 0.0";
	}
}
