package dev.pfaff.altargui.ffi;

public sealed interface Query extends ToExpression permits Variable, ViewportQuery {
	@Override
	default Expression toExpression() {
		return new Term(this).toExpression();
	}

	@Override
	default Term negate() {
		return new Term(this, -1.0);
	}
}
