package dev.pfaff.altargui.internal.util;

import java.lang.annotation.*;

/**
 * Indicates that the annotated method must be overridden by all subclasses, even if they just call {@code super}.
 */
@Retention(RetentionPolicy.CLASS)
@Target(ElementType.METHOD)
public @interface Specialize {
}
