package dev.pfaff.altargui.libimage;

import java.util.List;

public enum ImageFormat {
	// order matters
	Png,
	Jpeg,
	Gif,
	WebP,
	Pnm,
	Tiff,
	Tga,
	Dds,
	Bmp,
	Ico,
	Hdr,
	OpenExr,
	Farbfeld,
	Avif,
	Qoi;

	public static final List<ImageFormat> VALUES = List.of(values());

	public final byte value() {
		return (byte) ordinal();
	}
}
