package dev.pfaff.altargui.pathfinder;

public enum PFGLVersion {
	// order is important!
	/**
	 * OpenGL 3.0+, core profile.
	 */
	PF_GL_VERSION_GL3,
	/**
	 * OpenGL ES 3.0+.
	 */
	PF_GL_VERSION_GLES3,
	/**
	 * OpenGL 4.3+, core profile.
	 */
	PF_GL_VERSION_GL4;

	public final byte value() {
		return (byte) ordinal();
	}
}
