package dev.pfaff.altargui.selector;

import org.jetbrains.annotations.Nullable;

/**
 * Selects the children of the element.
 */
public record Children(@Nullable Selector next) implements BuiltinSelector {
	public static final Children NULL_NEXT = new Children(null);

	public Children {
		if (next == Self.INSTANCE) next = null;
	}
}
