package dev.pfaff.altargui.shader;

import dev.pfaff.glass.opengl.GLEnum;
import dev.pfaff.glass.opengl.enums.GLPrimitiveType;

public enum DrawMode implements GLEnum {
	TRIANGLES(GLPrimitiveType.TRIANGLES),
	TRIANGLE_STRIP(GLPrimitiveType.TRIANGLE_STRIP),
	TRIANGLE_FAN(GLPrimitiveType.TRIANGLE_FAN);

	private final GLPrimitiveType glPrimitiveType;

	DrawMode(GLPrimitiveType glPrimitiveType) {
		this.glPrimitiveType = glPrimitiveType;
	}

	public final GLPrimitiveType glPrimitiveType() { return glPrimitiveType; }

	public final int glEnum() {
		return glPrimitiveType.glEnum();
	}
}
