package dev.pfaff.altargui.types;

public enum Alignment {
	Start,
	Center,
	End;

	public float apply(float inner, float outer) {
		return switch (this) {
			case Start -> 0.0f;
			case Center -> outer / 2 - inner / 2;
			case End -> outer - inner;
		};
	}
}
