package dev.pfaff.altargui.types;

public enum Axis {
	X,
	Y;

	public final <R> Tuple<R> select(R ifX, R ifY) {
		return switch (this) {
			case X -> new Tuple<>(ifX, ifY);
			case Y -> new Tuple<>(ifY, ifX);
		};
	}
}
