package dev.pfaff.altargui.util;

public final class ClipUtil {
	public record StartExtent(float start, float extent) {}

	public static StartExtent clipExtent(float clipStart, float clipExtent, float allocatedStart, float computedExtent) {
		var clipEnd = clipStart + clipExtent;
		var computedEnd = allocatedStart + computedExtent;
		var end = Math.min(clipEnd, computedEnd);
		var start = Math.max(clipStart, allocatedStart);
		if (end < start) {
			return new StartExtent(Math.max(allocatedStart, 0f), 0f);
		}
//		if (allocatedStart > clipEnd || clipStart > computedEnd) {
//			return new StartExtent(allocatedStart, 0f);
//		}
//		var
//		return new StartExtent(, Math.min(clipStart + clipExtent, allocatedStart + computedExtent) - clipStart);
		return new StartExtent(start, end - start);
	}
}
