package dev.pfaff.altargui.widgets.state;

import dev.pfaff.altargui.Canvas;
import dev.pfaff.altargui.StateContext;
import dev.pfaff.altargui.WidgetInstance;

public interface PostPainter {
	/**
	 * Paint function called after anything mounted in {@link WidgetInstance#stencilLayout(StateContext)}.
	 *
	 * @param time      the timestamp of the frame relative to an arbitrary epoch.
	 * @param canvas    vertex consumers
	 */
	void paintPost(long time, Canvas canvas);
}
